<template>
  <div class="nowhere">
    <div class="nowhere__info">
      <h2>У вас нет доступа к этой странице</h2>
      <p>
        <b>По какой-то причине платформа не пускает вас на эту страницу.</b>
      </p>
      <p>
        Если вы уверены, что у вас должен быть доступ к этой странице, то свяжитесь с нами по номеру <a href="tel:74956460603">7(495) 646-06-03</a> или по почте <a href="mailto:support@gruzi.ru">support@gruzi.ru</a>.
      </p>
      <div class="search">
        Может быть, вы искали что-то? Используйте поиск
        <ob-input v-model="searchQuery" placeholder="Что вы ищете?" icon="search" />
      </div>
      <p>
        Или вернитесь на главную страницу
        <ob-button label="На главную страницу" :isFullWidth="true" @click="$router.push({ name: 'entry' })" />
      </p>
    </div>
    <div class="nowhere__img">
      <svg width="231" height="84" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M24 0H0v54c0 5.523 4.477 10 10 10h28a6 6 0 016 6v14h24V0H44v38a6 6 0 01-6 6h-8a6 6 0 01-6-6V0zM127 42a8 8 0 11-16 0 8 8 0 0116 0z" fill="#fff"/><path fill-rule="evenodd" clip-rule="evenodd" d="M119 84c23.196 0 42-18.804 42-42S142.196 0 119 0 77 18.804 77 42s18.804 42 42 42zm0-24c9.941 0 18-8.059 18-18s-8.059-18-18-18-18 8.059-18 18 8.059 18 18 18z" fill="#fff"/><path d="M165 0h46c10.71 0 19.454 8.419 19.975 19H231v7.5c0 8.284-6.716 15-15 15 8.284 0 15 6.716 15 15V64c0 11.046-8.954 20-20 20h-46V64h36a6 6 0 006-6v-2a6 6 0 00-6-6h-25V34h25a6 6 0 006-6v-2a6 6 0 00-6-6h-36V0z" fill="#fff"/></svg>
      К странице нет доступа
    </div>
  </div>
</template>

<script>
  import ObInput from 'common-components/src/obComponents/obInput';
  import ObButton from 'common-components/src/obComponents/obButton';
  export default {
    name: 'notFound',

    components: {
      ObInput,
      ObButton,
    },

    mounted() {
      const menu = document.querySelector('.ob-main-template-header');
      if (menu) {
        menu.style.zIndex = 0;
      }
    },

    data() {
      return {
        searchQuery: ''
      }
    }
  }
</script>

<style lang="scss" scoped>
@import './styles.scss';
</style>
